#
# spec file for package l-loader-hikey960
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           l-loader-hikey960
Version:        1.2~20181205T075545~49db0a0
Release:        1.173
Summary:        Firmware required to run the HiKey 960
Url:            https://github.com/96boards-hikey/l-loader
License:        GPL-2.0
Group:          System/Boot
Source0:        l-loader-%{version}.tar.xz
BuildRequires:  arm-trusted-firmware-hikey960
BuildRequires:  edk2-hikey960
BuildRequires:  python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
ExclusiveArch:  aarch64

%description
Firmware required to run the HiKey 960

%prep
%setup -q -n l-loader-%{version}
# Delete x86 binary
rm -f sgdisk

%build
make -f hikey960.mk %{?_smp_mflags} \
     PTABLE_LST=linux-32g \
     BL1=%{_datadir}/arm-trusted-firmware-hikey960/bl1.bin \
     BL2=%{_datadir}/arm-trusted-firmware-hikey960/bl2.bin \
     NS_BL1U=/boot/BL33_AP_UEFI.fd \
     l-loader.bin recovery.bin

%install
export NO_BRP_STRIP_DEBUG=true
export NO_DEBUGINFO_STRIP_DEBUG=true
install -D -m 0644 l-loader.bin %{buildroot}/boot/l-loader.bin
install -D -m 0644 recovery.bin %{buildroot}/boot/recovery.bin

%files
%license COPYING
%doc README.md
%defattr(-,root,root)
/boot/l-loader.bin
/boot/recovery.bin

%changelog
* Sat May 11 2019 Andreas Färber <afaerber@suse.de>
- Updated to latest Git branch
* Fri May 25 2018 afaerber@suse.de
- Updated to latest Git branch
  * BL2_AT_EL3
  * Package recovery.bin
  * Clean up dependencies
* Sun Jan 14 2018 afaerber@suse.de
- Initial, forked from l-loader-hikey
